Provider - Get Available Stacks
Description for Get available application frameworks and their versions
GET https://management.azure.com/providers/Microsoft.Web/availableStacks?api-version=2026-07-15
GET https://management.azure.com/providers/Microsoft.Web/availableStacks?api-version=2026-07-15&osTypeSelected={osTypeSelected}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
os
|
query |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Definitions
| Name | Description |
|---|---|
|
Application |
Application stack. |
|
Application |
Collection of Application Stacks |
|
Application |
ARM resource for a ApplicationStack. |
|
Default |
App Service error response. |
|
Default |
Error model. |
|
Default |
Detailed errors. |
|
Provider |
|
|
Stack |
Application stack major version. |
|
Stack |
Application stack minor version. |
ApplicationStack
Application stack.
| Name | Type | Description |
|---|---|---|
| dependency |
string |
Application stack dependency. |
| display |
string |
Application stack display name. |
| frameworks |
List of frameworks associated with application stack. |
|
| isDeprecated |
|
|
| majorVersions |
List of major versions available. |
|
| name |
string |
Application stack name. |
ApplicationStackCollection
Collection of Application Stacks
| Name | Type | Description |
|---|---|---|
| nextLink |
string (uri) |
The link to the next page of items |
| value |
The ApplicationStackResource items on this page |
ApplicationStackResource
ARM resource for a ApplicationStack.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource Id. |
| kind |
string |
Kind of resource. |
| name |
string |
Resource Name. |
| properties.dependency |
string |
Application stack dependency. |
| properties.display |
string |
Application stack display name. |
| properties.frameworks |
List of frameworks associated with application stack. |
|
| properties.isDeprecated |
|
|
| properties.majorVersions |
List of major versions available. |
|
| properties.name |
string |
Application stack name. |
| type |
string |
Resource type. |
DefaultErrorResponse
App Service error response.
| Name | Type | Description |
|---|---|---|
| error |
Error model. |
DefaultErrorResponseError
Error model.
| Name | Type | Description |
|---|---|---|
| code |
string |
Standardized string to programmatically identify the error. |
| details |
Detailed errors. |
|
| innererror |
string |
More information to debug error. |
| message |
string |
Detailed error description and debugging information. |
| target |
string |
Detailed error description and debugging information. |
DefaultErrorResponseErrorDetailsItem
Detailed errors.
| Name | Type | Description |
|---|---|---|
| code |
string |
Standardized string to programmatically identify the error. |
| message |
string |
Detailed error description and debugging information. |
| target |
string |
Detailed error description and debugging information. |
ProviderOsTypeSelected
| Value | Description |
|---|---|
| Windows | |
| Linux | |
| WindowsFunctions | |
| LinuxFunctions | |
| All |
StackMajorVersion
Application stack major version.
| Name | Type | Description |
|---|---|---|
| appSettingsDictionary |
management.azure.com.appservice.provider.getavailablestacks |
<appSettings> <appSetting name="FUNCTIONS_WORKER_RUNTIME" value="dotnet" /> </appSettings> Example: All the function apps need AppSetting: "FUNCTIONS_WORKER_RUNTIME" to be set stack name |
| applicationInsights |
boolean |
|
| displayVersion |
string |
Application stack major version (display only). |
| isDefault |
boolean |
|
| isDeprecated |
boolean |
|
| isHidden |
boolean |
|
| isPreview |
boolean |
|
| minorVersions |
Minor versions associated with the major version. |
|
| runtimeVersion |
string |
Application stack major version (runtime only). |
| siteConfigPropertiesDictionary |
management.azure.com.appservice.provider.getavailablestacks |
<siteConfigProperties> <siteConfigProperty name="Use32BitWorkerProcess" value="false" /> </siteConfigProperties> Example: All Linux Function Apps, need Use32BitWorkerProcess to be set to 0 |
StackMinorVersion
Application stack minor version.
| Name | Type | Description |
|---|---|---|
| displayVersion |
string |
Application stack minor version (display only). |
| isDefault |
boolean |
|
| isRemoteDebuggingEnabled |
boolean |
|
| runtimeVersion |
string |
Application stack minor version (runtime only). |